Skip to content

/api/v1/ops/operations/{id}/retry

POST
/api/v1/ops/operations/{id}/retry
curl --request POST \
--url https://nbaproplab.com/api/v1/ops/operations/1/retry \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: score-day-2026-05-27-001' \
--header 'X-API-Key: <X-API-Key>'
id
required
integer format: int32
/^-?(?:0|[1-9]\d*)$/
Idempotency-Key
string

Unique key for safe retry. Duplicate requests return the original operation.

Example
score-day-2026-05-27-001

Accepted

object
id
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
type
string
targetService
string
status
string
createdAt
string format: date-time
createdBy
string
startedAt
null | string format: date-time
completedAt
null | string format: date-time
durationMs
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
cancelRequested
boolean
output
error
null | string
links
object
key
additional properties
string

Authentication required.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Insufficient permissions or tier.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Conflict

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string